Get playlist entries

Learn more about our playlist types in our help center.

The Get platforms for playlist data endpoint lists available platforms.

Don't know the artist UUID yet? Use the Get artist by platform ID or Search artist by name endpoints.

Request

GET /api/v2.20/artist/{uuid}/playlist/current/{platform}

Path parameters

Parameter Value Description Additional
uuid string An artist UUID Required
platform string A playlist platform code Required

Query string parameters

Parameter Value Description Additional
type string A playlist type. Available values are : 'all' or one of editorial, algorithmic, algotorial, major, charts, curators_listeners, radios, this_is Optional
currentOnly integer Get only the current positions in playlist with 1, or the current and past positions with 0. Optional
countryCode string Country code (2 letters ISO 3166-2, example: 'US', full list on https://en.wikipedia.org/wiki/ISO_3166-2) Optional
playlistUuids string Playlist UUID separed with comma. Example : f31dc337-b8b6-43d5-bd44-527b80e1d56a,1ac5da74-64c3-4266-92a8-60bbb589a01d Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional
sortBy string Sort criteria. Available values are : position, positionDate, entryDate, subscriberCount Optional
sortOrder string Sort order. Available values are : asc, desc Optional

Response

Code Description Resource
200 OK

An Artist Track Collection response

Artist Playlist Track Positions
400 Bad Request

Invalid request

401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Artist Not Found

Explore

An artist UUID

A playlist platform code

A playlist type. Available values are : 'all' or one of editorial, algorithmic, algotorial, major, charts, curators_listeners, radios, this_is

Get only the current positions in playlist with 1, or the current and past positions with 0.

Country code (2 letters ISO 3166-2, example: 'US', full list on https://en.wikipedia.org/wiki/ISO_3166-2)

Playlist UUID separed with comma. Example : f31dc337-b8b6-43d5-bd44-527b80e1d56a,1ac5da74-64c3-4266-92a8-60bbb589a01d

Get results starting from position

Number of results (max. 100)

Sort criteria. Available values are : position, positionDate, entryDate, subscriberCount

Sort order. Available values are : asc, desc

Try it out